Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# OsclFileManager Class Reference
[OSCL IO]

`#include <oscl_file_manager.h>`

## Public Types
enum | OSCL_FILE_ATTRIBUTE_TYPE { OSCL_FILE_ATTRIBUTE_READONLY = 0x00000001, OSCL_FILE_ATTRIBUTE_HIDDEN = 0x00000002, OSCL_FILE_ATTRIBUTE_SYSTEM = 0x00000004, OSCL_FILE_ATTRIBUTE_DIRECTORY = 0x00000010, OSCL_FILE_ATTRIBUTE_ARCHIVE = 0x00000020, OSCL_FILE_ATTRIBUTE_NORMAL = 0x00000080 }
## Static Public Methods
OSCL_IMPORT_REF bool | OsclGetFileSize (const oscl_wchar *aFileName, uint64 &aFileSize)
OSCL_IMPORT_REF bool | OsclGetFileSize (const char *aFileName, uint64 &aFileSize)
OSCL_IMPORT_REF bool | OsclGetFileCreationTime (const oscl_wchar *aFileName, uint64 &aFileCreationTime)
OSCL_IMPORT_REF bool | OsclGetFileCreationTime (const char *aFileName, uint64 &aFileCreationTime)
OSCL_IMPORT_REF bool | OsclGetFileLastAccessTime (const oscl_wchar *aFileName, uint64 &aFileLastAccessTime)
OSCL_IMPORT_REF bool | OsclGetFileLastAccessTime (const char *aFileName, uint64 &aFileLastAccessTime)
OSCL_IMPORT_REF bool | OsclGetFileLastWriteTime (const oscl_wchar *aFileName, uint64 &aFileLastWriteTime)
OSCL_IMPORT_REF bool | OsclGetFileLastWriteTime (const char *aFileName, uint64 &aFileLastWriteTime)
OSCL_IMPORT_REF bool | OsclGetFileAttributes (const oscl_wchar *aFileName, uint32 &aFileAttributes)
OSCL_IMPORT_REF bool | OsclGetFileAttributes (const char *aFileName, uint32 &aFileAttributes)
OSCL_IMPORT_REF void | OsclExtractFilenameFromFullpath (const char *aPath, char *&aFileName)
OSCL_IMPORT_REF void | OsclExtractFilenameFromFullpath (const oscl_wchar *aPath, oscl_wchar *&aFileName)

## Member Enumeration Documentation

enum OsclFileManager::OSCL_FILE_ATTRIBUTE_TYPE

  | Enumeration values:
  OSCL_FILE_ATTRIBUTE_READONLY |
  OSCL_FILE_ATTRIBUTE_HIDDEN |
  OSCL_FILE_ATTRIBUTE_SYSTEM |
  OSCL_FILE_ATTRIBUTE_DIRECTORY |
  OSCL_FILE_ATTRIBUTE_ARCHIVE |
  OSCL_FILE_ATTRIBUTE_NORMAL |

## Member Function Documentation

OSCL_IMPORT_REF void OsclFileManager::OsclExtractFilenameFromFullpath | ( | const oscl_wchar * | aPath,
|  | oscl_wchar *& | aFileName
| ) | `[static]`

OSCL_IMPORT_REF void OsclFileManager::OsclExtractFilenameFromFullpath | ( | const char * | aPath,
|  | char *& | aFileName
| ) | `[static]`

  | OsclExtractFilenameFromFullpath utility function provide the FileName From Path of a file. Parameters:
  in | ] character path; the full path of the file or directory
  out | ] character FileName :file Name .It is assigned a pointer to file name in path itself.
Returns: void for all condition

OSCL_IMPORT_REF bool OsclFileManager::OsclGetFileAttributes | ( | const char * | aFileName,
|  | uint32 & | aFileAttributes
| ) | `[static]`

  | OsclGetFileAttributes utility function provides the various attributes of file (or directory) like if it is hidden, read only etc. The uint32 value is to be interpreted as per the enum OSCL_FILE_ATTRIBUTE_TYPE defined in oscl_file_manager.h Parameters:
  in | ] character path; the full path of the file or directory
  out | ] file attributes.
Returns: true if successful, otherwise false.

OSCL_IMPORT_REF bool OsclFileManager::OsclGetFileAttributes | ( | const oscl_wchar * | aFileName,
|  | uint32 & | aFileAttributes
| ) | `[static]`

  | OsclGetFileAttributes utility function provides the various attributes of file (or directory) like if it is hidden, read only etc. The uint32 value is to be interpreted as per the enum OSCL_FILE_ATTRIBUTE_TYPE defined in oscl_file_manager.h Parameters:
  in | ] wide character path; the full path of the file or directory
  out | ] file attributes.
Returns: true if successful, otherwise false.

OSCL_IMPORT_REF bool OsclFileManager::OsclGetFileCreationTime | ( | const char * | aFileName,
|  | uint64 & | aFileCreationTime
| ) | `[static]`

  | OsclGetFileCreationTime utility function provides the file (or directory) creation time Note: On symbian platform, this api returns last modified time. Parameters:
  in | ] character path; the full path of the file or directory
  out | ] creation time in microseconds.
Returns: true if successful, otherwise false.

OSCL_IMPORT_REF bool OsclFileManager::OsclGetFileCreationTime | ( | const oscl_wchar * | aFileName,
|  | uint64 & | aFileCreationTime
| ) | `[static]`

  | OsclGetFileCreationTime utility function provides the file (or directory) creation time Note: On symbian platform, this api returns last modified time. Parameters:
  in | ] wide character path; the full path of the file or directory
  out | ] creation time in microseconds
Returns: true if successful, otherwise false.

OSCL_IMPORT_REF bool OsclFileManager::OsclGetFileLastAccessTime | ( | const char * | aFileName,
|  | uint64 & | aFileLastAccessTime
| ) | `[static]`

  | OsclGetFileLastAccessTime utility function provides the file (or directory) last access time, which might be different from last modified time. Note: On symbian platform, this api returns last modified time. Parameters:
  in | ] character path; the full path of the file or directory
  out | ] Last access time in microseconds.
Returns: true if successful, otherwise false.

OSCL_IMPORT_REF bool OsclFileManager::OsclGetFileLastAccessTime | ( | const oscl_wchar * | aFileName,
|  | uint64 & | aFileLastAccessTime
| ) | `[static]`

  | OsclGetFileLastAccessTime utility function provides the file (or directory) last access time, which might be different from last modified time. Note: On symbian platform, this api returns last modified time. Parameters:
  in | ] wide character path; the full path of the file or directory
  out | ] Last access time in microseconds
Returns: true if successful, otherwise false.

OSCL_IMPORT_REF bool OsclFileManager::OsclGetFileLastWriteTime | ( | const char * | aFileName,
|  | uint64 & | aFileLastWriteTime
| ) | `[static]`

  | OsclGetFileLastWriteTime utility function provides the file (or directory) last modified time. Parameters:
  in | ] character path; the full path of the file or directory
  out | ] last modified time in microseconds
Returns: true if successful, otherwise false.

OSCL_IMPORT_REF bool OsclFileManager::OsclGetFileLastWriteTime | ( | const oscl_wchar * | aFileName,
|  | uint64 & | aFileLastWriteTime
| ) | `[static]`

  | OsclGetFileLastWriteTime utility function provides the file (or directory) last modified time. Parameters:
  in | ] wide character path; the full path of the file or directory
  out | ] last modified time in microseconds
Returns: true if successful, otherwise false.

OSCL_IMPORT_REF bool OsclFileManager::OsclGetFileSize | ( | const char * | aFileName,
|  | uint64 & | aFileSize
| ) | `[static]`

  | OsclGetFileSize utility function provides the file size. For directory, this value is undefined. Parameters:
  in | ] character path; the full path of the file or directory
  out | ] file size in bytes.
Returns: true if successful, otherwise false.

OSCL_IMPORT_REF bool OsclFileManager::OsclGetFileSize | ( | const oscl_wchar * | aFileName,
|  | uint64 & | aFileSize
| ) | `[static]`

  | OsclGetFileSize utility function provides the file size. For directory, this value is undefined. creation time Parameters:
  in | ] wide character path; the full path of the file or directory
  out | ] file size in bytes
Returns: true if successful, otherwise false.

The documentation for this class was generated from the following file:

- oscl_file_manager.h